﻿// BookmarksSettingDelete, Version 1.0.1, vom 08.01.2013
//
// Löscht die vom Bookmarks Script angelegten Benutzereinstellung aus EPLAN raus.
//
// Copyright by Frank Schöneck, 2011-2013
// letzte Änderung: Frank Schöneck, 29.11.2011 V1.0.0, Projektbeginn
//					Frank Schöneck, 28.01.2013 V1.0.1, Quellcode nach C# portiert.
//					Frank Schöneck, 20.10.2014 V2.0.0, Verwendet nun die Funktion: SettingNode
//
// für Eplan Electric P8, ab V2.0
//

public class Bookmarks_class
{
	[Start]
	public void BookmarksSettingDelete()
	{
		DialogResult Result = MessageBox.Show("Sollen die Einstellungen wirklich aus EPLAN gelöscht werden?", "Bookmarks Einstellungen löschen", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
		if (Result == System.Windows.Forms.DialogResult.Yes)
		{
			//Settings löschen
			Eplan.EplApi.Base.SettingNode oSettingNode = new Eplan.EplApi.Base.SettingNode("USER.SCRIPTS.BOOKMARKS");

			MessageBox.Show("Es wurden " + oSettingNode.GetCountOfSettings().ToString() + " Einstellungen gelöscht.", "Bookmarks Einstellungen löschen", MessageBoxButtons.OK, MessageBoxIcon.Information);
			oSettingNode.DeleteNode();
		}
	}
}
